tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Poulsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TAP5-2339) Ajax exception frame complains about "Function expected" in IE8
Date Tue, 20 May 2014 08:31:39 GMT

    [ https://issues.apache.org/jira/browse/TAP5-2339?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14002930#comment-14002930
] 

Chris Poulsen commented on TAP5-2339:
-------------------------------------

I see the error in IE11 running in lower IE document modes. - I do not see the error in IE9
on windows 7 running in VirtualBox. The IE8 that gives the error is running on XP in another
VirtualBox.

( Various images for testing can be found here: http://modern.ie/en-us/virtualization-tools#downloads
)

> Ajax exception frame complains about "Function expected" in IE8
> ---------------------------------------------------------------
>
>                 Key: TAP5-2339
>                 URL: https://issues.apache.org/jira/browse/TAP5-2339
>             Project: Tapestry 5
>          Issue Type: Bug
>          Components: tapestry-core
>    Affects Versions: 5.4
>            Reporter: Chris Poulsen
>
> It is the following code that fails: 
> <script type="text/javascript">require(["t5/core/pageinit"], function(pi) { pi([],
["bootstrap/collapse","t5/core/zone"]); });</script>
> Apparently "require" is the object it is instantiated to be (init config), not the product
of require.js being loaded.
> To reproduce create a T5.4 quickstart app and throw a RuntimeException in void onAjax()
(Index.java).



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message